<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Chart (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Chart (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":38,"i1":38,"i2":38,"i3":38,"i4":38,"i5":38};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Chart.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/CellValue.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/Chart.html" target="_top">Frames</a></li>
        <li><a href="Chart.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Interface Chart" class="title">Interface Chart</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/charts/ManuallyPositionable.html"
                           title="interface in org.apache.poi.ss.usermodel.charts">ManuallyPositionable</a></dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html"
                           title="class in org.apache.poi.xssf.usermodel">XSSFChart</a></dd>
                </dl>
                <hr>
                <div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
                <br>
                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public interface <span class="typeNameLabel">Chart</span>
extends <a href="../../../../../org/apache/poi/ss/usermodel/charts/ManuallyPositionable.html"
           title="interface in org.apache.poi.ss.usermodel.charts">ManuallyPositionable</a></pre>
                <div class="block">High level representation of a chart.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Chart.html#deleteLegend--">deleteLegend</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Delete current chart legend.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartAxis</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Chart.html#getAxis--">getAxis</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxisFactory.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartAxisFactory</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Chart.html#getChartAxisFactory--">getChartAxisFactory</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/ChartDataFactory.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartDataFactory</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Chart.html#getChartDataFactory--">getChartDataFactory</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/ChartLegend.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartLegend</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Chart.html#getOrCreateLegend--">getOrCreateLegend</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Chart.html#plot-org.apache.poi.ss.usermodel.charts.ChartData-org.apache.poi.ss.usermodel.charts.ChartAxis...-">plot</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/ChartData.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartData</a>&nbsp;data,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html"
                                       title="interface in org.apache.poi.ss.usermodel.charts">ChartAxis</a>...&nbsp;axis)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Plots specified data on the chart.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.charts.ManuallyPositionable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.charts.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/ManuallyPositionable.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ManuallyPositionable</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/ManuallyPositionable.html#getManualLayout--">getManualLayout</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getChartDataFactory--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartDataFactory</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/charts/ChartDataFactory.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartDataFactory</a>&nbsp;getChartDataFactory()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an appropriate ChartDataFactory implementation</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChartAxisFactory--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartAxisFactory</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxisFactory.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartAxisFactory</a>&nbsp;getChartAxisFactory()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an appropriate ChartAxisFactory implementation</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOrCreateLegend--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOrCreateLegend</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/charts/ChartLegend.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartLegend</a>&nbsp;getOrCreateLegend()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>chart legend instance</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="deleteLegend--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>deleteLegend</h4>
                                <pre>void&nbsp;deleteLegend()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Delete current chart legend.</div>
                            </li>
                        </ul>
                        <a name="getAxis--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAxis</h4>
                                <pre>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartAxis</a>&gt;&nbsp;getAxis()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>list of all chart axis</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="plot-org.apache.poi.ss.usermodel.charts.ChartData-org.apache.poi.ss.usermodel.charts.ChartAxis...-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>plot</h4>
                                <pre>void&nbsp;plot(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/ChartData.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartData</a>&nbsp;data,
          <a href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html"
             title="interface in org.apache.poi.ss.usermodel.charts">ChartAxis</a>...&nbsp;axis)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Plots specified data on the chart.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - a data to plot</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Chart.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/CellValue.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/Chart.html" target="_top">Frames</a></li>
        <li><a href="Chart.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
